//****************************************************************************************
// COD2 - Player Control
//****************************************************************************************
// Server / Client side modification for Call of Duty 2 multiplayer
// Updated : 06 October 2007 by Wildcard
// Email   : wildcard@wildcardsonline.nl
// Support WebSite: http://www.wildcardonline.nl
// This config  file controls the WW2X 1.8c Player settings
//*******************************************************************************

//************************************************************************************************
// Teambalance 0 = disabled, 1 = enabled
//************************************************************************************************
set scr_forcerespawn "1"

//************************************************************************************************
// Draw Friend Icon 0 = disabled, 1 = enabled
//************************************************************************************************
set scr_drawfriend "1"  
set scr_drawfriend_dm "0"

//***************************************************************************************************
// Forced clientside dvars
//***************************************************************************************************
// This feature allows you to control the clientside dvars, every 2 seconds the mod
// will check to see if any setting has been changed by the client

// forced clientside dvars?
// 0 = disable, 1 = enable, default = 0
set wwx_forceclientdvars "1"

// force rate
// 0 = disable, max = 99999, default = 25000
//set wwx_forcerate "25000"

// mantle hint
// 0 = disable, 1 = enable, default = 1
set wwx_mantlehint "0"

// player crosshair
// 0 = disable, 1 = enable, default = 1
set wwx_crosshair "0"

// player crosshairnames (show when players are on your side and targeted)
set wwx_crosshairnames "1"

// enemy crosshair, prevent crosshair colour change when targeting enemy player
// 0 = disable, 1 = enable, default = 1
set wwx_enemycross "0"

// hud stance indicator
// 0 = disable, 1 = enable, default = 1
set wwx_hudstance "1"

// bright models - hack provention (set to 0 to prevent!)
// 0 = disable, 1 = enable, default = 1
set wwx_brightmodels "0"

// hack provention!
// lodscale (LodScale Bush Exploit) is forced to "1" in mod
// q3fs (Ambient Sound Exploit) is forced to "1" in mod

//****************************************************************************************
// Realism options
//****************************************************************************************
// drop weapon on hand or gun hit
// percentage setting 0 - 100, default = 0
set wwx_droponhandhit "0"

// drop weapon on arm hit
// percentage setting 0 - 100, default = 0
set wwx_droponarmhit "0"

// trip on leg hit (this setting does not currently work with COD2)
// percentage setting 0 - 100, default = 0
set wwx_triponleghit "0"

// Trip on foot hit (this setting does not currently work with COD2)
// percentage setting 0 - 100, default = 0
set wwx_triponfoothit "0"

// player bob factor. no more gliding when you walk/sprint
// 0 = disable, 1 = enable, default = 0
set wwx_player_bobfactor "1"

// deathsounds, played when players die, doh!
// 0 = disable, 1 = enable, default = 0
set wwx_deathsounds "1"

// painsounds, played when players get hurt!
// 0 = disable, 1 = enable, default = 0
set wwx_painsounds "1"

// prone/Jump shoot delay monitor
// when the player goes prone or jumps in the air, their weapon is disabled for a moment
// before they can shoot again, stops the dive bombers and bunny hoppers on your server!
// 0 = disable (default)
// 1 = monitor prone only
// 2 = monitor jump only
// 3 = monitor prone and jump
set wwx_stanceshoot "0"

// Jump shoot delay sensitivity
// Adjust the sensitivity of the shoot stance weapon delay, so that it will only
// pause your weapon if you jump or go to prone, and not when you go over a small
// rock or bump on the map.
// min = 0, max = 10, default = 5
//set wwx_jump_sensitivity "7"

//***************************************************************************************************
// Forced autoassign
//***************************************************************************************************
// On some maps or in certain gametypes you may wish to force players to autoassign
// instead of choosing a team. As with all the functions in ww2x you can do this as a
// global option, or add a map or gametype or both to the end of the dvar to enable.

// 0 = disable, 1 = enable, default = 0
set wwx_forceauto "0"

// extended examples
// set wwx_forceauto_mp_dawnville "1"
// set wwx_forceauto_tdm "1"
// set wwx_forceauto_tdm_mp_dawnville "1"

//***************************************************************************************************
// Sprinting
//***************************************************************************************************
// enable sprinting, enabled by moving and pressing the USE key, if you don't like having
// the use key set for sprinting, you can mimmick the old CODUO ALT key for sprinting by
// setting you ALT key as an alternative key for USE, it does work!
// 0 = disabled (default)
// 1 = while standing only
// 2 = standing and crouching
// 3 = standing, crouching and while prone
set wwx_sprint "3"

// no sprinting if a flag is carried, is for all flagbased games 1 = sprint disabled 0= enabled, default = 0
set wwx_sprint_heavy_flag "1"

// enable sprint hud, graphical representation of how much sprinting you have left
// 0 = disable, 1 = enable, default = 0
set wwx_sprint_hud "1"

// enable hud hint, when moving this shows the player that sprinting is available
// 0 = disable, 1 = enable, default = 0
set wwx_sprint_hud_hint "1"

// max sprint time in seconds
// min = 1, max = 999, default = 3
set wwx_sprint_time "5"

// max recover time in seconds, total recover time for a full recover will be this time + the
// maximum sprint time!
// min = 0, max = 999, default = 2
set wwx_sprint_recover_time "1"

//***************************************************************************************************
// Helmet/Head Pop
//***************************************************************************************************
// pop helmets, players helmet goes flying when damaged in the head area!
// percentage setting 0 - 100, default = 50
set wwx_pophelmet "75"

// pop heads, players head comes off when when damaged in the head area!
// percentage setting 0 - 100, default = 0
set wwx_pophead "33"

// the following settings control which type of damage trigger the pophead
// rifles, snipers and turrets
// 0 = disable, 1 = enable, default = 0
set wwx_pophead_bullet "1"

// melee hits
// 0 = disable, 1 = enable, default = 0
set wwx_pophead_melee "1"

// explosions
// 0 = disable, 1 = enable, default = 0
set wwx_pophead_explosion "1"

//***************************************************************************************************
// Taunts
//***************************************************************************************************
// In addition to the ingame quicktaunt menu system, you can also set the mod to make the
// attacker say a random taunt when they kill a player!
// 0 = disable menu and auto taunt
// 1 = enable menu taunts only
// 2 = enable auto taunts only
// 3 = enable menu and auto taunts
set wwx_taunts "3"

//***************************************************************************************************
// Player model limiter (this does help somewhat with gamestate reduction)
//***************************************************************************************************
// COD2 offers different models for players, however each skin takes up valuable gamestate,
// so here you can limit the models available. You really only need one of each though!

// american normandy player models
// min = 1, max = 10, default = 10
set wwx_american_normandy "1"

// british africa player models
// min = 1, max = 5, default = 5
set wwx_british_africa "1"

// british normandy player models
// min = 1, max = 6, default = 6
set wwx_british_normandy "1"

// german winterdark player models
// min = 1, max = 2, default = 2
set wwx_german_winterdark "1"

// russian coat player models
// min = 1, max = 4, default = 4
set wwx_russian_coat "1"

// russian padded player models
// min = 1, max = 2, default = 2
set wwx_russian_padded "1"

//***************************************************************************************************
// Cold Breath FX
//***************************************************************************************************
// on winter based maps, enabling this will show an effect of breathing in the cold
// 0 = disable, 1 = enable, default = 0
set wwx_coldbreathfx "1"

//***************************************************************************************************
// Bulletholes
//***************************************************************************************************
// if a player gets hit by a bullet in the head!, you can have a bullethole appear on their hud
// 0 = disable (default)
// 1 = enabled
// 2 = enabled with fade after 5 seconds
set wwx_bulletholes "2"

//***************************************************************************************************
// Bloodscreen
//***************************************************************************************************
// if a player is hit, blood appears on the screen, and on the attackers screen if close enough
// 0 = disable (default)
// 1 = enabled
set wwx_bloodonscreen "1"

//****************************************************************************************
// Laserdot
//****************************************************************************************
// laserdot transparency
// 0 = disable, 1 = solid, default = 0
set wwx_laserdot "0"

// laser dot size min = 1 max = 5
// min = 1, max = 10, default = 2
//set wwx_laserdot_size "2"

// color (default 1,0,0)
set wwx_laserdot_red "1"
//set wwx_laserdot_green "1"
//set wwx_laserdot_blue "0"

//***************************************************************************************************
// Dead body handling
//***************************************************************************************************
// you can control the after death fx here.
// 0 = disabled (default)
// 1 = sink player in to ground
// 2 = when head pop, extra bloodfx
// 3 = sink player in to ground & when head pop, extra bloodfx
set wwx_deadbodyfx "3"

//****************************************************************************************
// Parachuting
//****************************************************************************************
// 0 = disabled (default)
// 1 = once for each map
// 2 = roundbased: never parachute in after matchstarts
// 3 = always
//set wwx_parachutes "0"

// Only attackers parachute (0 = no, 1 = yes) (default 0)
//set wwx_parachutes_only_attackers "0"

// Protect parachuters from damage?
// 0 = disabled
// 1 = protected while dropping down and weapons disabled
// 2 = weapons enabled and protected while dropping down until fire or bash button is pressed (default)
set wwx_parachutes_protection "1"

// Limit altitude (0 = no limit) (default 1700) (0 to 6000)
// Some maps have a really high sky and not using a limit could mean
// parachuting for 30 seconds or more before landing.
//set wwx_parachutes_limit_altitude "1600"

//******************************************************************************
// Drop inactive players 
//******************************************************************************
// Kick player playing if timed out (if enabled afk is set to on for this setting)
//0 = disable 1 = enable (default 0)
set wwx_inactive_plyr "1"

// Kick player not playing if timed out (eg. spectating, dead, in menu not playing)
//0 = disable 1 = enable (default 0)
set wwx_inactive_spec "1"

// 0 = disabled; player gets kicked at set time
// 1 = enabled (default); resets time if player movement detected
//0 = disable 1 = enable (default 0)
set wwx_afk "1"

// Time in minutes before player gets kicked
//minutes until player kicked (default 15)
set wwx_inactive_time "5"

// Don't kick this player
// You may wish certain players not to be kick, eg admin, rcon or an entire clan.
// You can add as many individual players as you like, just increase the last digit for each one.
// Clan exclusions are limited to maximum four clans (see clancontrol.cfg).
// It doesn't matter if you enter the names with colours, non alphabet characters, uppercase or lowercase.
// The mod will understand as long as you have the letters in the name correct.

//set wwx_ddp_clan_0	"[wildcards]"
set wwx_ddp_name_0	"WilDCarD[NL]"
